System 2.0.0.0 4.0.0.0 System.Enum

IP addresses are divided into two parts: the prefix and the suffix. The address prefix identifies the network portion of an IP address, and the address suffix identifies the host portion. Prefixes are assigned by global authorities, and suffixes are assigned by local system administrators.

This enumeration is used by the and classes. Instances of this class are returned when you retrieve the address information for a object.

Specifies how an IP address network prefix was located.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.PrefixOrigin

  The prefix was supplied by a Dynamic Host Configuration Protocol (DHCP) server.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.PrefixOrigin

  The prefix was manually configured.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.PrefixOrigin

  The prefix was located using an unspecified source.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.PrefixOrigin

  The prefix was supplied by a router advertisement.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.PrefixOrigin

  The prefix is a well-known prefix. Well-known prefixes are specified in standard-track Request for Comments (RFC) documents and assigned by the Internet Assigned Numbers Authority (Iana) or an address registry. Such prefixes are reserved for special purposes.